Skip to main content
POST
Generate Upload URL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Request body for generating a signed upload URL.

file_name
string
required

Name of the file to upload

Required string length: 1 - 255
Example:

"recording.wav"

content_type
string
required

MIME type of the file

Required string length: 1 - 100
Example:

"audio/wav"

Response

Successful Response

Signed upload URL plus the identifier and expiry of the upload.

upload_url
string
required

Pre-signed URL for direct upload to GCS

file_id
string
required

Unique identifier for tracking the upload

expires_at
string<date-time>
required

When the upload URL expires